/*
 * opamp.h
 *
 * Created: 2017/07/04 16:38:18
 *  Author: M.Urushidani
 */ 


#ifndef OPAMP_H_
#define OPAMP_H_

/* ************************************************************************
 *   port and pin assignments
 * ************************************************************************ */

	#define OPAMP_MEASUREMENT				//main switch of OPamp measurement
	#define HW_REGULATOR					//main switch of Voltage Regulator measurement	

/*
 *  Test probes:
 *  - Must be an ADC port :-)
 *  - Lower 3 pins of the port must be used for probe pins.
 */
	#define TP_AOP			PA6			/* Auxiliary OPamp output voltage mu0629 */
	#define TP_DUT			PA7			/* DUT OPamp output voltage mu0629 */

	#define	CONT_DDR		DDRC
	#define CONT_PORT		PORTC 
	#define DUT_REF_CONT	PC5			/* H:DUT, L:REF */
	#define REF_DUT_CONT	PC6			/* H:REF, L:DUT	*/
	#define NOT_OP_POWER		PC7
	
/*
 *  rotary switch
 */
	#define ROTARYSW_PORT	PORTC		/* port data register */
	#define ROTARYSW_DDR	DDRC		/* port data direction register */
	#define ROTARYSW_PIN	PINC		/* port input pins register */
	#define ROTARY_1		PC0			/* rotary switch 1 signal */
	#define ROTARY_2        PC1			/* rotary switch 2 signal */
	#define ROTARY_4		PC2			/* rotary switch 4 signal */
	#define ROTARU_8		PC3			/* rotary switch 8 signal */


/* component mode IDs */
	#define MODE_AUTO			0
	#define MODE_RESISTOR		1
	#define MODE_CAPACITOR		2
	#define MODE_INDUCTOR		3
	#define MODE_DIODE			4
	#define MODE_TRANSISTOR		5
	#define MODE_FET			6
	#define MODE_ZENER			7
	#define MODE_REGURATOR		8
	#define MODE_OPAMP			9

	//#ifdef OPAMP_MEASUREMENT
	//#if defined (OPAMP_MEASUREMENT)
	//const unsigned char Opamp_str[] EEMEM = "Opamp";
	//const unsigned char OLoop_str[] EEMEM = "Open Loop Gain";		//mu0630
	//#endif

#endif /* OPAMP_H_ */